#include "xgameworldmp.h"
#include "xstring.h"

XGameWorldMp::XGameWorldMp()
    : XAsset()
    , mName()
{
    SetType(ASSET_TYPE_GAMEWORLD_MP);
    SetName("GameWorld MP");
}

XGameWorldMp::~XGameWorldMp()
{

}

void XGameWorldMp::ParseData(QDataStream *aStream) {
    // Parse the name string
    if (GetPtr() == -1) {
        mName.ParsePtr(aStream);
    }
}

void XGameWorldMp::Clear()
{
    mName.Clear();
}
